Summary:      The DTS Coherent Acoustics decoder
Name:         libdca
License:      GPL
Group:        System
Version:      0.0.5
Release:      1
URL:          http://www.videolan.org/developers/libdca.html
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Provides:     libdts dts

%description
libdca - a free DTS Coherent Acoustics decoder - libdca is a free
library for decoding DTS Coherent Acoustics streams. The code is
written by Gildas Bazin and was based on the a52dec project. It is
released under the terms of the GPL license.
The DTS Coherent Acoustics standard (ETSI 102 114 v1.2.1), as published
by the ETSI, is available here (look for DTS Coherent Acoustics).

%package 	devel
Summary: 	Development
Group: 		Development
Provides:	libdts-devel dts-devel

%description 	devel
%{name}

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr		\
	--libdir=%{_libdir}	\
	--mandir=%{_mandir}	\
	--enable-shared 	\
	--enable-sdl
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
